Package rainbowPackage

# Class RainbowSoftColor

java.lang.Object
rainbowPackage.RainbowSoftColor

public class RainbowSoftColor extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `argb`
  `double`
  `ColorBeingChecked`
  `javafx.scene.paint.Color`
  `fxColor`
  `double`
  `OpacityBeingChecked`
  `double`
  `rainbowAdjustedColorInterval`
  `double`
  `rainbowEndsEachLengthOfExtrema`
  `double`
  `rainbowInterval`
  `double`
  `rainbowLengthWOextrema`
  `double[]`
  `rgb`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RainbowSoftColor()`
  `RainbowSoftColor(double[] ARGB)`
  `RainbowSoftColor(javafx.scene.paint.Color FXColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2)`
  `Boolean`
  `ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)`
  `Boolean`
  `ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)`
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `Object`
  `get()`
  `Object`
  `GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)`
  `Object`
  `GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)`
  `Object`
  `GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)`
  `double`
  `OpacityValueFitter(double OpacityToBeChecked)`
  `Object`
  `RainbowSoftColorFunction(double SliderInterval, double Loc, double BrightnessMultiplyer, int Gradations, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter, boolean Adjusted, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftColorFunction(double SliderInterval, double Loc, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter)`
  `Object`
  `RainbowSoftColorRainbowFunction(double RainbowLength, double CoreVariable)`
  `Object`
  `RainbowSoftColorRainbowFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `RainbowSoftColorRainbowFunctionReverse(double RainbowLength, double CoreVariable)`
  `Object`
  `RainbowSoftColorRainbowFunctionReverseAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `RainbowSoftColorRainbowFunctionReverseUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `RainbowSoftColorRainbowFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)`
  `Object`
  `RainbowSoftColorRainbowTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftColorRainbowTransparencyFunctionReverseAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftColorRainbowTransparencyFunctionReverseUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftColorRainbowTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftCustomColorFunction(double RainbowLength, double CoreVariable, double[][] RGBcolorArray)`
  `Object`
  `RainbowSoftCustomColorFunction(double RainbowLength, double CoreVariable, javafx.scene.paint.Color[] FXcolorArray)`
  `Object`
  `RainbowSoftCustomColorFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray)`
  `Object`
  `RainbowSoftCustomColorFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)`
  `Object`
  `RainbowSoftCustomColorFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray)`
  `Object`
  `RainbowSoftCustomColorFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)`
  `Object`
  `RainbowSoftCustomColorTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftCustomColorTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftCustomColorTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)`
  `Object`
  `RainbowSoftCustomColorTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter)`
  `void`
  `set(double[] ARGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `javafx.scene.paint.Color`
  `ToFXColor(double[] ARGB)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rgb

    public double[] rgb

  - ### argb

    public double[] argb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### ColorBeingChecked

    public double ColorBeingChecked

  - ### OpacityBeingChecked

    public double OpacityBeingChecked

  - ### rainbowInterval

    public double rainbowInterval

  - ### rainbowEndsEachLengthOfExtrema

    public double rainbowEndsEachLengthOfExtrema

  - ### rainbowLengthWOextrema

    public double rainbowLengthWOextrema

  - ### rainbowAdjustedColorInterval

    public double rainbowAdjustedColorInterval

- ## Constructor Details

  - ### RainbowSoftColor

    public RainbowSoftColor()

  - ### RainbowSoftColor

    public RainbowSoftColor(javafx.scene.paint.Color FXColor)

  - ### RainbowSoftColor

    public RainbowSoftColor(double[] ARGB)

- ## Method Details

  - ### RainbowSoftColorRainbowFunction

    public Object RainbowSoftColorRainbowFunction(double RainbowLength, double CoreVariable)

  - ### RainbowSoftColorRainbowFunctionReverse

    public Object RainbowSoftColorRainbowFunctionReverse(double RainbowLength, double CoreVariable)

  - ### RainbowSoftColorFunction

    public Object RainbowSoftColorFunction(double SliderInterval, double Loc, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter)

  - ### RainbowSoftColorFunction

    public Object RainbowSoftColorFunction(double SliderInterval, double Loc, double BrightnessMultiplyer, int Gradations, RainbowSoftColor ColorBefore, RainbowSoftColor ColorAfter, boolean Adjusted, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftCustomColorFunction

    public Object RainbowSoftCustomColorFunction(double RainbowLength, double CoreVariable, double[][] RGBcolorArray)

  - ### RainbowSoftCustomColorFunction

    public Object RainbowSoftCustomColorFunction(double RainbowLength, double CoreVariable, javafx.scene.paint.Color[] FXcolorArray)

  - ### RainbowSoftColorRainbowFunctionUnAdjusted

    public Object RainbowSoftColorRainbowFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)

  - ### RainbowSoftColorRainbowFunctionReverseUnAdjusted

    public Object RainbowSoftColorRainbowFunctionReverseUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)

  - ### RainbowSoftColorRainbowFunctionAdjusted

    public Object RainbowSoftColorRainbowFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)

  - ### RainbowSoftColorRainbowFunctionReverseAdjusted

    public Object RainbowSoftColorRainbowFunctionReverseAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations)

  - ### RainbowSoftColorRainbowTransparencyFunctionUnAdjusted

    public Object RainbowSoftColorRainbowTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftColorRainbowTransparencyFunctionReverseUnAdjusted

    public Object RainbowSoftColorRainbowTransparencyFunctionReverseUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftCustomColorFunctionUnAdjusted

    public Object RainbowSoftCustomColorFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray)

  - ### RainbowSoftCustomColorFunctionUnAdjusted

    public Object RainbowSoftCustomColorFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)

  - ### RainbowSoftCustomColorFunctionAdjusted

    public Object RainbowSoftCustomColorFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] RGBcolorArray)

  - ### RainbowSoftCustomColorFunctionAdjusted

    public Object RainbowSoftCustomColorFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray)

  - ### RainbowSoftCustomColorTransparencyFunctionUnAdjusted

    public Object RainbowSoftCustomColorTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftCustomColorTransparencyFunctionUnAdjusted

    public Object RainbowSoftCustomColorTransparencyFunctionUnAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftColorRainbowTransparencyFunctionAdjusted

    public Object RainbowSoftColorRainbowTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftColorRainbowTransparencyFunctionReverseAdjusted

    public Object RainbowSoftColorRainbowTransparencyFunctionReverseAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftCustomColorTransparencyFunctionAdjusted

    public Object RainbowSoftCustomColorTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter)

  - ### RainbowSoftCustomColorTransparencyFunctionAdjusted

    public Object RainbowSoftCustomColorTransparencyFunctionAdjusted(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter)

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor(double[] ARGB)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(int Color1, int Color2, double ColorDifference)

  - ### ColorTooSimilarFunction

    public Boolean ColorTooSimilarFunction(javafx.scene.paint.Color Color1, javafx.scene.paint.Color Color2, double ColorDifference)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### OpacityValueFitter

    public double OpacityValueFitter(double OpacityToBeChecked)

  - ### GlobalRainbowSoftSelectorFunction

    public Object GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, double[][] ARGBcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)

  - ### GlobalRainbowSoftSelectorFunction

    public Object GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, javafx.scene.paint.Color[] FXcolorArray, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)

  - ### GlobalRainbowSoftSelectorFunction

    public Object GlobalRainbowSoftSelectorFunction(double RainbowLength, double CoreVariable, double BrightnessMultiplyer, int Gradations, boolean Adjusted, double OpacityBefore, double OpacityAfter, boolean Reversed, boolean IsColorNum)

  - ### set

    public void set(double[] ARGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()